/* AUTOGENERATED FILE. DO NOT EDIT. */

/*=======Automagically Detected Files To Include=====*/
#include "unity.h"
#include "cmock.h"
#ifndef TEST_INSTANCES
#define TEST_INSTANCES
#endif /* TEST_INSTANCES */
#include "stdint.h"
#include "mock_uart_driver.h"

/*=======External Functions This Runner Calls=====*/
extern void setUp(void);
extern void tearDown(void);
extern void test_uart_isInitialized();
extern void test_uart_sendsMessage();
extern void test_uart_send_message_withExpectedStream();
extern void test_receive_message_returnsChar();
extern void test_receive_message_returnString();
extern void test_application_DestroysPlannet();
extern void test_application_Waits();
extern void test_application_TurnsOnShield();
extern void test_application_TurnsOffEngine();


/*=======Mock Management=====*/
static void CMock_Init(void)
{
  mock_uart_driver_Init();
}
static void CMock_Verify(void)
{
  mock_uart_driver_Verify();
}
static void CMock_Destroy(void)
{
  mock_uart_driver_Destroy();
}

/*=======Test Reset Options=====*/
void resetTest(void);
void resetTest(void)
{
  tearDown();
  CMock_Verify();
  CMock_Destroy();
  CMock_Init();
  setUp();
}
void verifyTest(void);
void verifyTest(void)
{
  CMock_Verify();
}

/*=======Test Runner Used To Run Each Test=====*/
static void run_test(UnityTestFunction func, const char* name, UNITY_LINE_TYPE line_num)
{
    Unity.CurrentTestName = name;
    Unity.CurrentTestLineNumber = line_num;
#ifdef UNITY_USE_COMMAND_LINE_ARGS
    if (!UnityTestMatches())
        return;
#endif
    Unity.NumberOfTests++;
    UNITY_CLR_DETAILS();
    UNITY_EXEC_TIME_START();
    CMock_Init();
    if (TEST_PROTECT())
    {
        setUp();
        func();
    }
    if (TEST_PROTECT())
    {
        tearDown();
        CMock_Verify();
    }
    CMock_Destroy();
    UNITY_EXEC_TIME_STOP();
    UnityConcludeTest();
}

/*=======MAIN=====*/
int main(void)
{
  UnityBegin("test_uart_application.c");
  run_test(test_uart_isInitialized, "test_uart_isInitialized", 22);
  run_test(test_uart_sendsMessage, "test_uart_sendsMessage", 29);
  run_test(test_uart_send_message_withExpectedStream, "test_uart_send_message_withExpectedStream", 36);
  run_test(test_receive_message_returnsChar, "test_receive_message_returnsChar", 52);
  run_test(test_receive_message_returnString, "test_receive_message_returnString", 62);
  run_test(test_application_DestroysPlannet, "test_application_DestroysPlannet", 77);
  run_test(test_application_Waits, "test_application_Waits", 101);
  run_test(test_application_TurnsOnShield, "test_application_TurnsOnShield", 122);
  run_test(test_application_TurnsOffEngine, "test_application_TurnsOffEngine", 146);

  CMock_Guts_MemFreeFinal();
  return UnityEnd();
}
